aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-07-15 14:10:18 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-07-15 14:10:18 +0200
commit9fa99375c693b7e0563ba5b96a789dcfc68e8c14 (patch)
tree9592a2f3257e38536fc62c7d17cceb271b6157ba
parent34625d6332ef31d096a158c62d4561852a87eacb (diff)
Start needlefish release cycle
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: If1558aa7b23f570ee402def0dde03cf0d9576db4
-rw-r--r--jjb/common/include-agl-run-test-short-needlefish.sh45
-rw-r--r--jjb/release-jjb-needlefish-snapshot/bitbake-html5-image-qemux86-64.sh21
-rw-r--r--jjb/release-jjb-needlefish-snapshot/include-release-jjb-needlefish-snapshot-rsync.sh57
-rw-r--r--jjb/release-jjb-needlefish-snapshot/release-jjb-needlefish-snapshot.yaml126
4 files changed, 249 insertions, 0 deletions
diff --git a/jjb/common/include-agl-run-test-short-needlefish.sh b/jjb/common/include-agl-run-test-short-needlefish.sh
new file mode 100644
index 00000000..91f0a57f
--- /dev/null
+++ b/jjb/common/include-agl-run-test-short-needlefish.sh
@@ -0,0 +1,45 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## Run SHORT CI test
+################################################################################
+
+#set -x
+
+UPLOAD_URL_BASE=http://download.automotivelinux.org/AGL/upload/ci
+UPLOAD_URL=${UPLOAD_URL_BASE}/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${TARGETMACHINE}
+
+cd $REPODIR
+
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: fail to download ${UPLOAD_URL}/build-info"
+if [ -e build-info ]; then
+ cat build-info
+ source build-info
+fi
+
+echo "# LAVA lab target: ${LAVA_LAB} #"
+# releng-scripts depends on jinja2 >= 2.9
+echo "## Check version of python-jinja2: "
+pip show jinja2
+CREATE_ARGS=""
+CREATE_ARGS+="--machine ${releng_device} "
+CREATE_ARGS+="--build-type release "
+#[[ ! -z $RELEASE_BRANCH ]] && CREATE_ARGS+="--branch $RELEASE_BRANCH "
+#[[ ! -z $RELEASE_VERSION ]] && CREATE_ARGS+="--version $RELEASE_VERSION "
+CREATE_ARGS+="--url https://download.automotivelinux.org/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${TARGETMACHINE}/ "
+CREATE_ARGS+="--name AGL-gerrit-$DIST_BB_AGL_BRANCH-$DIST_BB_AGLVERSION "
+[[ ! -z $DIST_BB_DISTRO_VERSION ]] && CREATE_ARGS+="--build-version $DIST_BB_DISTRO_VERSION "
+[[ ! -z $DIST_BUILD_HASH ]] && CREATE_ARGS+="--commit $DIST_BUILD_HASH "
+[[ ! -z $DIST_BUILD_ID ]] && CREATE_ARGS+="--build-id $DIST_BUILD_ID "
+[[ ! -z $DIST_BB_AGL_BRANCH ]] && CREATE_ARGS+="--branch $DIST_BB_AGL_BRANCH "
+[[ ! -z $DIST_BB_AGLVERSION ]] && CREATE_ARGS+="--version $DIST_BB_AGLVERSION "
+CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
+
+if [ $? != 0 ]; then
+ echo "ERROR: Machine ${releng_device}: LAVA job creation failed."
+ exit 0
+else
+ cat testjob.yaml
+fi
diff --git a/jjb/release-jjb-needlefish-snapshot/bitbake-html5-image-qemux86-64.sh b/jjb/release-jjb-needlefish-snapshot/bitbake-html5-image-qemux86-64.sh
new file mode 100644
index 00000000..78af7470
--- /dev/null
+++ b/jjb/release-jjb-needlefish-snapshot/bitbake-html5-image-qemux86-64.sh
@@ -0,0 +1,21 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the sdk
+################################################################################
+#if ! test x"${GERRIT_BRANCH}" = x"dab" ; then
+#bitbake wic-tools
+#fi
+
+if test x"qemux86-64" = x"${TARGETMACHINE}" ; then
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+#( ( bitbake -c $TARGETSDK $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -c $TARGETSDK $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+echo 'AGL_DEFAULT_IMAGE_FSTYPES_forcevariable = "wic.vmdk.xz wic.xz ext4.xz"' >> conf/local.conf
+echo 'AGL_EXTRA_IMAGE_FSTYPES_forcevariable = ""' >> conf/local.conf
+( ( bitbake agl-demo-platform-html5 ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake agl-demo-platform-html5 ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+
+du -hs tmp/deploy/*
+
+fi \ No newline at end of file
diff --git a/jjb/release-jjb-needlefish-snapshot/include-release-jjb-needlefish-snapshot-rsync.sh b/jjb/release-jjb-needlefish-snapshot/include-release-jjb-needlefish-snapshot-rsync.sh
new file mode 100644
index 00000000..9be7c6f8
--- /dev/null
+++ b/jjb/release-jjb-needlefish-snapshot/include-release-jjb-needlefish-snapshot-rsync.sh
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+#set -x
+set -e
+echo "#######################################"
+echo "#######################################"
+ls -alh
+echo "#######################################"
+echo "#######################################"
+tree -L 2
+echo "#######################################"
+echo "#######################################"
+set | grep MACHINE
+echo "#######################################"
+echo "#######################################"
+set
+echo "#######################################"
+echo "#######################################"
+
+cd repoclone/output
+
+export REMOTEDST="/srv/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/"
+export RSYNCDST="jenkins-slave@10.30.72.8:${REMOTEDST}"
+export RSYNCSRC=$(pwd)/UPLOAD/${MACHINE}
+
+# construct upload folder
+mv UPLOAD UPLOAD2 || true
+rm -rf UPLOAD2 || true
+mkdir -p UPLOAD/${MACHINE}
+export DEST=$(pwd)/UPLOAD/${MACHINE}
+
+# save space ... remove the rpms
+rm -rf tmp/deploy/rpm || true
+
+rsync -avr --progress --delete tmp/deploy $DEST/
+rsync -avr --progress --delete tmp/log $DEST/
+
+cp ../../current_default.xml $DEST/${MACHINE}_repo_default.xml
+cp conf/local.conf $DEST/local.conf
+cp conf/auto.conf $DEST/auto.conf
+echo "$BUILD_URL" > $DEST/jenkins.build.url
+
+tree $DEST
+
+ls -alhR $DEST
+
+
+
+echo "would do rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -rf ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ rsync --delete -avr -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC/* $RSYNCDST
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-needlefish-snapshot/release-jjb-needlefish-snapshot.yaml b/jjb/release-jjb-needlefish-snapshot/release-jjb-needlefish-snapshot.yaml
new file mode 100644
index 00000000..6d0be905
--- /dev/null
+++ b/jjb/release-jjb-needlefish-snapshot/release-jjb-needlefish-snapshot.yaml
@@ -0,0 +1,126 @@
+---
+- project:
+ name: release-jjb-needlefish-snapshot
+ jobs:
+ - release-jjb-needlefish-snapshot
+
+- job-template:
+ name: 'release-jjb-needlefish-snapshot'
+ project-type: matrix
+ concurrent: false
+ node: control-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/needlefish_13.91.0
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 13.91.0
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: needlefish
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+ - string:
+ name: BUILDONLY
+ default: ignore
+ description: "build only specified machine"
+ - string:
+ name: DISABLE_SSTATE_MIRROR
+ default: ignore
+ description: "Set to YES to disable sstate-mirror"
+ axes:
+ - axis:
+ type: user-defined
+ name: MACHINE
+ values:
+ - qemux86-64
+ - qemuarm
+ - qemuarm64
+ - raspberrypi4
+ - m3ulcb-nogfx
+ - h3ulcb-nogfx
+ - bbe
+ # for aarch64
+ - axis:
+ type: slave
+ name: label
+ values:
+ - agl-test-slave
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ triggers:
+ - gerrit-trigger-patch-submitted-silent:
+ name: 'AGL/AGL-repo'
+ branch: 'regs/tags/needlefish/**'
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+ - credentials-binding:
+ - username-password-separated:
+ credential-id: agl_main_lava_instance
+ username: AGLLAVAUSER
+ password: AGLLAVATOKEN
+ - username-password-separated:
+ credential-id: agl_main_lava_instance
+ username: LAB_AGL_USER
+ password: LAB_AGL_TOKEN
+ - username-password-separated:
+ credential-id: lab_baylibre_lava_instance
+ username: LAB_BAYLIBRE_USER
+ password: LAB_BAYLIBRE_TOKEN
+ - username-password-separated:
+ credential-id: lab_baylibre_seattle_lava_instance
+ username: LAB_BAYLIBRE_SEATTLE_USER
+ password: LAB_BAYLIBRE_SEATTLE_TOKEN
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-repo.sh
+ - ../common/include-agl-select.sh
+ - ../common/include-agl-export-eula.sh
+ - ../common/include-agl-source-aglsetup.sh
+ - ../common/include-agl-auto-conf.sh
+ - ../common/include-agl-limit-parallelism.sh
+ - ../common/include-agl-cat-auto-conf.sh
+ - ../common/include-agl-local-conf-archiver.sh
+ #- ../common/include-agl-local-conf-isafw.sh
+ - ../common/include-agl-local-conf-include-ptest.sh
+ - ../common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh
+ - ../common/include-agl-local-conf-vmdk.sh
+ - ../common/include-agl-local-conf-rpi3-imagetype.sh
+ #- ../common/include-agl-bitbake-image.sh
+ - ../common/include-agl-bitbake-sdk.sh
+ - bitbake-html5-image-qemux86-64.sh
+ - shell:
+ !include-raw-escape: include-release-jjb-needlefish-snapshot-rsync.sh
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-run-test-prepare.sh
+ #- ../common/include-agl-run-test-rsync-release.sh
+ - ../common/include-agl-lava-labs-prepare.sh
+ - ../common/include-agl-run-test-short-needlefish.sh
+ - ../common/include-agl-lava-jobs-submit-only.sh